apiVersion: gateway.networking.k8s.io/v1beta1
kind: HTTPRoute
metadata:
  name: files.davinkevin.fr
spec:
  parentRefs:
    - name: internal
  hostnames:
    - files.davinkevin.fr
  rules:
    - matches:
        - path:
            value: "/"
      backendRefs:
        - name: static-web-server
          port: 8888
      timeouts:
        request: 1h
---
apiVersion: v1
kind: Service
metadata:
  name: static-web-server
  labels:
    app.kubernetes.io/name: nas
    app.kubernetes.io/component: static-web-server
spec:
  selector:
    app.kubernetes.io/name: nas
    app.kubernetes.io/component: static-web-server
  ports:
    - port: 8888
      name: http
      targetPort: 8888
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: static-web-server
  labels:
    app.kubernetes.io/name: nas
    app.kubernetes.io/component: static-web-server
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: nas
      app.kubernetes.io/component: static-web-server
  template:
    metadata:
      name: static-web-server
      labels:
        app.kubernetes.io/name: nas
        app.kubernetes.io/component: static-web-server
    spec:
      containers:
        - name: static-web-server
          image: joseluisq/static-web-server:2.34
          imagePullPolicy: IfNotPresent
          env:
            - name: SERVER_ROOT
              value: "/files"
            - name: SERVER_PORT
              value: "8888"
            - name: SERVER_DIRECTORY_LISTING
              value: "true"
          ports:
            - containerPort: 8888
              name: http
              protocol: TCP
          volumeMounts:
            - name: download
              mountPath: /files/download
            - name: movies
              mountPath: /files/movies
            - name: series
              mountPath: /files/series
      volumes:
        - name: download
          nfs:
            path: /download
            server: nas.davinkevin.lan
        - name: movies
          nfs:
            path: /movies
            server: nas.davinkevin.lan
        - name: series
          nfs:
            path: /series
            server: nas.davinkevin.lan
      restartPolicy: Always
      